Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.conditions
Class QueueSizesCondition

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.conditions.TwoIndicesInfo
          umontreal.iro.lecuyer.contactcenters.msk.conditions.QueueSizesCondition

All Implemented Interfaces:
  Condition

Direct Known Subclasses:
  QueueSizesWithTypesCondition

    public class QueueSizesCondition

extends TwoIndicesInfo
implements Condition

Represents a condition comparing the size of a waiting queue with the size of another queue. Let Qq(t) be the queue size of queue q at time t, and ⋅ be a relationship. The condition checks that Qq1(t)⋅Qq2(t) for fixed values of q1, q2, and ⋅. The relationship can be <, >, =, ≤, or ≥.

Constructor Summary
`QueueSizesCondition(CallCenter cc, int q1, int q2, Relationship rel)` Constructs a new condition on the queue size for the call center model `cc`, first waiting queue `q1`, second waiting queue `q2`, and relationship `rel`.

Method Summary
`boolean` | `applies(Contact contact)` Checks the represented condition for the given contact `contact`, and returns `true` if and only if the condition applies.
`CallCenter` | `getCallCenter()` Returns a reference to the call center associated with this condition.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.conditions.TwoIndicesInfo
`getFirstIndex, getRelationship, getSecondIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueSizesCondition

    public QueueSizesCondition(CallCenter cc,
                               int q1,
                               int q2,
                               Relationship rel)

  Constructs a new condition on the queue size for the call center model `cc`, first waiting queue `q1`, second waiting queue `q2`, and relationship `rel`.

  Parameters:
    `cc` - the call center model.
    `q1` - the index of the first waiting queue.
    `q2` - the index of the second waiting queue.
    `rel` - the relationship used to perform the comparison.

Method Detail

### getCallCenter

    public CallCenter getCallCenter()

  Returns a reference to the call center associated with this condition.

### applies

    public boolean applies(Contact contact)

  Description copied from interface: `Condition`
  Checks the represented condition for the given contact `contact`, and returns `true` if and only if the condition applies. Some conditions depend on the state of the system rather than a particular contact. In such cases, the contact object can be ignored.

  Specified by:
    `applies` in interface `Condition`
  Parameters:
    `contact` - the contact on which to check the condition.
  Returns:
    the success indicator of the test.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.